Package it.ernytech.tdlib

## Class TdApi.SetName

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetName

Enclosing class:
  TdApi

    public static class TdApi.SetName
    extends TdApi.Function

Changes the first and last name of the current user. If something changes, updateUser will be sent.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `firstName` The new value of the first name for the user; 1-255 characters.
`java.lang.String` `lastName` The new value of the optional last name for the user; 0-255 characters.

### Constructor Summary

Constructors
`SetName()` Default constructor.
`SetName​(java.lang.String firstName, java.lang.String lastName)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### firstName

    public java.lang.String firstName

The new value of the first name for the user; 1-255 characters.

#### lastName

    public java.lang.String lastName

The new value of the optional last name for the user; 0-255 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetName

    public SetName()

Default constructor.

#### SetName

    public SetName​(java.lang.String firstName,
                   java.lang.String lastName)

Constructor for initialization of all fields.

Parameters:
  `firstName` - The new value of the first name for the user; 1-255 characters.
  `lastName` - The new value of the optional last name for the user; 0-255 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR